Page MenuHomePhabricator

Add an "Automatically CC Owners on Differential Revisions" checkbox to Owners
Closed, ResolvedPublic

Description

We currently have an "enable audits for this package" feature, but it would be good to also have an "enable differential CCs for this package". This is possible on a per-user basis in Herald, but making a simpler per-package option to parallel the Audit integration seems reasonable.

Event Timeline

epriestley triaged this task as Normal priority.
epriestley added a project: Owners.
epriestley added subscribers: epriestley, tberman, jungejason.

Specifically, it would be nice to be able to select whether you want them to be CC'd, or assigned to that diff.

We are somewhat unlikely to allow users to automatically become reviewers, because this went poorly at Facebook (revisions ended up with lots of automatic reviewers and everyone kind of assumed someone else would review them, so no one actually reviewed anything). Removing this capability improved things. After T1279 we might revisit this, since we could clearly mark automatic reviewers. I also may just restore this at some point to align with user expectation, even though I think it's a bad feature and we benefited on the balance from removing it.

Makes sense. The biggest thing we would like to do over here is basically a workflow of:

[New Diff] -> {"Oh, you are the listed expert (owner) on the package that this diff touches, so you should be the one to review the diff."} --> [Assign to $EXPERT]

Perhaps it would be nice to do something like have Arcanist suggest people to review the ticket when you make the diff (based on the top X results of the 'arc cover' algorithim perhaps), but what we're primarily worried about is people not knowing who to assign the diffs to when they make them. What i fear this will lead to is differs randomly asking someone in whatever channel (we use jabber) to do their diff, which is not the best way to do code review IMHO.

chad added a subscriber: chad.Jan 14 2013, 10:52 PM
epriestley moved this task to Future on the Owners board.Jul 15 2014, 5:51 PM
chad changed the visibility from "All Users" to "Public (No Login Required)".Jul 23 2015, 4:40 AM
eadler added a project: Restricted Project.Feb 23 2016, 7:23 AM
eadler moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.
eadler edited projects, added Restricted Project; removed Restricted Project.Feb 26 2016, 7:56 PM

I also may just restore this at some point to align with user expectation, even though I think it's a bad feature and we benefited on the balance from removing it.

(We did eventually restore this because it was easier to let users do it than argue that they shouldn't.)

eadler added a subscriber: eadler.Mar 20 2016, 5:23 PM
eadler moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.May 13 2016, 6:02 PM
eadler edited projects, added Restricted Project; removed Restricted Project.
epriestley closed this task as Resolved.May 14 2016, 12:32 AM